Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java.jau.awt.motif
Class X11HandleAccess

    java.lang.Object
      |
      +--gl4java.jau.awt.motif.X11HandleAccess

All Implemented Interfaces:
  WinHandleAccess

public class X11HandleAccess
extends java.lang.Object
implements WinHandleAccess

The unix-x11 implementation for accessing the native window handle This class has no user servicable parts inside. It is used internally by GLFrame and by our package spoofed sun.awt classes that give us internal access to window variables that we need to set up the OpenGL drawing ontext

Version:
  0.1, 7. JULY 1998
Author:
  Sven Goethel
See Also:
  `WinHandleAccess`

Field Summary
`protected int` | `depth`
`protected sun.awt.DrawingSurfaceInfo` | `dsi`
`protected sun.awt.X11DrawingSurface` | `wds`
`protected long` | `window`

Constructor Summary
`X11HandleAccess()`

Method Summary
`protected void` | `achieveData(java.awt.Component c, java.awt.Graphics g)`
`int` | `getWinDepth(java.awt.Component c, java.awt.Graphics g)` gets some structure for windows, and drawable on X11
`long` | `getWinHandle(java.awt.Component c, java.awt.Graphics g)` gets some structure for windows, and drawable on X11

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dsi

    protected sun.awt.DrawingSurfaceInfo dsi

### wds

    protected sun.awt.X11DrawingSurface wds

### window

    protected long window

### depth

    protected int depth

Constructor Detail

### X11HandleAccess

    public X11HandleAccess()

Method Detail

### achieveData

    protected void achieveData(java.awt.Component c,
                               java.awt.Graphics g)

### getWinHandle

    public long getWinHandle(java.awt.Component c,
                             java.awt.Graphics g)

  gets some structure for windows, and drawable on X11
  Specified by:
    `getWinHandle` in interface `WinHandleAccess`

### getWinDepth

    public int getWinDepth(java.awt.Component c,
                           java.awt.Graphics g)

  gets some structure for windows, and drawable on X11
  Specified by:
    `getWinDepth` in interface `WinHandleAccess`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD